StreamingTransformer (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transformer.StreamingTransformer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transformer
Interface StreamingTransformer

All Superinterfaces:
  BaseTransformer, Initialisable, NamedObject

    public interface StreamingTransformer

extends BaseTransformer

TODO

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Method Summary
`StreamingTransformer` | `getNextTransformer()` Transformers can be chained together and invoked in a series
`void` | `setNextTransformer(StreamingTransformer nextTransformer)` Transformers can be chained together and invoked in a series
`Object` | `transform(InputStream src, OutputStream dest, String encoding)` Thransforms the supllied data and returns the result

Methods inherited from interface org.mule.api.transformer.BaseTransformer
`getEndpoint, setEndpoint`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Method Detail

### getNextTransformer

    StreamingTransformer getNextTransformer()

  Transformers can be chained together and invoked in a series

  Returns:
    the next transformer to invoke after this one

### setNextTransformer

    void setNextTransformer(StreamingTransformer nextTransformer)

  Transformers can be chained together and invoked in a series

  Parameters:
    `nextTransformer` - the next transforer to invoke

### transform

    Object transform(InputStream src,
                     OutputStream dest,
                     String encoding)
                     throws TransformerException

  Thransforms the supllied data and returns the result

  Parameters:
    `src` - the inputStream
    `encoding` - the encoding to use in this transformation (if necessary)
  Returns:
    the transformed data
  Throws:
    `TransformerException` - if a error occurs transforming the data or if the expected returnClass isn't the same as the transformed data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.